# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl "https://api.sbx.hopnow.io/va/v1/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/virtual-accounts" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE"
{
"items": [
{
"id": "va_7yq2m9p4q1w8e5r3t6y0u2i4",
"object": "virtual_account",
"account_id": "acct_3mnq7c1e6a2b4f3c9b8d2e5a",
"currency": "EUR",
"status": "active",
"beneficiary_name": "Acme GmbH",
"bank_name": "Partner Bank",
"account_number": "DE89370400440532013000",
"iban": "DE89370400440532013000",
"swift_bic": "PBNKDEFF",
"routing_number": null,
"sort_code": null,
"supported_rails": ["sepa", "swift"],
"balance": "12500.00",
"pending_deposit": "300.00",
"held_for_payment": "1200.00",
"total_balance": "14000.00",
"created": "2026-05-01T10:05:00Z",
"updated": null
},
{
"id": "va_8rt5m9p4q1w8e5r3t6y0u2i4",
"object": "virtual_account",
"account_id": "acct_3mnq7c1e6a2b4f3c9b8d2e5a",
"currency": "USD",
"status": "pending",
"beneficiary_name": "Acme GmbH",
"bank_name": null,
"account_number": null,
"iban": null,
"swift_bic": null,
"routing_number": null,
"sort_code": null,
"supported_rails": [],
"balance": "0.00",
"pending_deposit": "0.00",
"held_for_payment": "0.00",
"total_balance": "0.00",
"created": "2026-05-02T09:00:00Z",
"updated": null
}
],
"page": 1,
"size": 10,
"total": 2,
"pages": 1
}
Virtual Accounts
List Virtual Accounts
List all virtual accounts created for an account, across currencies
GET
/
va
/
v1
/
accounts
/
{account_id}
/
virtual-accounts
# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl "https://api.sbx.hopnow.io/va/v1/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/virtual-accounts" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE"
{
"items": [
{
"id": "va_7yq2m9p4q1w8e5r3t6y0u2i4",
"object": "virtual_account",
"account_id": "acct_3mnq7c1e6a2b4f3c9b8d2e5a",
"currency": "EUR",
"status": "active",
"beneficiary_name": "Acme GmbH",
"bank_name": "Partner Bank",
"account_number": "DE89370400440532013000",
"iban": "DE89370400440532013000",
"swift_bic": "PBNKDEFF",
"routing_number": null,
"sort_code": null,
"supported_rails": ["sepa", "swift"],
"balance": "12500.00",
"pending_deposit": "300.00",
"held_for_payment": "1200.00",
"total_balance": "14000.00",
"created": "2026-05-01T10:05:00Z",
"updated": null
},
{
"id": "va_8rt5m9p4q1w8e5r3t6y0u2i4",
"object": "virtual_account",
"account_id": "acct_3mnq7c1e6a2b4f3c9b8d2e5a",
"currency": "USD",
"status": "pending",
"beneficiary_name": "Acme GmbH",
"bank_name": null,
"account_number": null,
"iban": null,
"swift_bic": null,
"routing_number": null,
"sort_code": null,
"supported_rails": [],
"balance": "0.00",
"pending_deposit": "0.00",
"held_for_payment": "0.00",
"total_balance": "0.00",
"created": "2026-05-02T09:00:00Z",
"updated": null
}
],
"page": 1,
"size": 10,
"total": 2,
"pages": 1
}
Lists all virtual accounts created for an account, across currencies, including
pending virtual accounts whose bank details are not ready yet. No request body.
Path Parameters
string
required
Account id (
acct_…).Response
A paginated list of virtual-account objects (see Get Virtual Account for the field reference).array
Virtual-account objects in the current page.
integer
Current page number.
integer
Items per page.
integer
Total items across all pages.
integer
Total number of pages.
# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl "https://api.sbx.hopnow.io/va/v1/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/virtual-accounts" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE"
{
"items": [
{
"id": "va_7yq2m9p4q1w8e5r3t6y0u2i4",
"object": "virtual_account",
"account_id": "acct_3mnq7c1e6a2b4f3c9b8d2e5a",
"currency": "EUR",
"status": "active",
"beneficiary_name": "Acme GmbH",
"bank_name": "Partner Bank",
"account_number": "DE89370400440532013000",
"iban": "DE89370400440532013000",
"swift_bic": "PBNKDEFF",
"routing_number": null,
"sort_code": null,
"supported_rails": ["sepa", "swift"],
"balance": "12500.00",
"pending_deposit": "300.00",
"held_for_payment": "1200.00",
"total_balance": "14000.00",
"created": "2026-05-01T10:05:00Z",
"updated": null
},
{
"id": "va_8rt5m9p4q1w8e5r3t6y0u2i4",
"object": "virtual_account",
"account_id": "acct_3mnq7c1e6a2b4f3c9b8d2e5a",
"currency": "USD",
"status": "pending",
"beneficiary_name": "Acme GmbH",
"bank_name": null,
"account_number": null,
"iban": null,
"swift_bic": null,
"routing_number": null,
"sort_code": null,
"supported_rails": [],
"balance": "0.00",
"pending_deposit": "0.00",
"held_for_payment": "0.00",
"total_balance": "0.00",
"created": "2026-05-02T09:00:00Z",
"updated": null
}
],
"page": 1,
"size": 10,
"total": 2,
"pages": 1
}